//=============================================================================
// Mega128 EVM Module Test Program
// by nexp76(nexp76@naver.com)
// [main.c]
//=============================================================================

/*
 
*/
#include "..\00_hal\system.h"
#include "..\01_drv\serial.h"


//-----------------------------------------------------------------------------
// Main Routine
//-----------------------------------------------------------------------------
int main(void)
{
	SystemInit();

	//Serial Init
	DebugInit(BAUD_115200);
	DebugPrint("Wiznet W5100 Test Program.\r\n");


	//Init LED
	Led1Init();


	while(1)
	{
		if(DebugIsByte())
		{
			switch(DebugGetByte())
			{
				case '1':
					Led1On();
					DebugPrint("LED1 On\r\n");
					break;
				
				case '2':
					Led1Off();
					DebugPrint("LED1 Off\r\n");
					break;
			}
		}
	}

}
